Name:		perl-Test-YAML
Version:	1.00
Release:	2%{?dist}
Summary:	Testing Module for YAML Implementations
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/Test-YAML/
Source0:	http://search.cpan.org/CPAN/authors/id/I/IN/INGY/Test-YAML-%{version}.tar.gz
Patch0:		Test-YAML-1.00-CPAN20342.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	perl
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Module Runtime
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Test::Base) >= 0.74
BuildRequires:	perl(Test::Base::Filter)
# Test Suite
BuildRequires:	perl(Test::More) >= 0.88
BuildRequires:	perl(Test::Pod) >= 1.41
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Data::Dumper)

%description
Test::YAML is a subclass of Test::Base with YAML specific support.

%prep
%setup -q -n Test-YAML-%{version}

# Avoid potential security issue with "lib" directory (CPAN RT#20342)
# https://github.com/ingydotnet/test-yaml-pm/issues/1
%patch0

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

# Exclude script that does nothing
rm %{buildroot}%{_bindir}/test-yaml

%check
make test RELEASE_TESTING=1

%files
%license LICENSE
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::YAML.3*

%changelog
* Thu Aug  7 2014 Paul Howarth <paul@city-fan.org> - 1.00-2
- Sanitize for Fedora submission

* Thu Aug  7 2014 Paul Howarth <paul@city-fan.org> - 1.00-1
- Initial RPM version
